"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
const Enable_definition_1 = require("./enable/Enable.definition");
const Disable_definition_1 = require("./disable/Disable.definition");
const Restart_definition_1 = require("./restart/Restart.definition");
const definition = {
    name: "daemon",
    type: "group",
    summary: "Daemon operations",
    description: "Perform operations that control the daemon-mode functionality of the Zowe CLI. " +
        "Daemon-mode runs the CLI command processor as a daemon to improve performance.",
    children: [
        Enable_definition_1.EnableCommand,
        Disable_definition_1.DisableCommand,
        Restart_definition_1.RestartCommand
    ]
};
module.exports = definition;
//# sourceMappingURL=Daemon.definition.js.map